[**Headlamp Sealed Secrets API v0.2.0**](../../../README.md)

***

[Headlamp Sealed Secrets API](../../../README.md) / [lib/validators](../README.md) / isSealedSecret

# Function: isSealedSecret()

> **isSealedSecret**(`obj`): `obj is SealedSecret`

Defined in: [src/lib/validators.ts:17](https://github.com/privilegedescalation/headlamp-sealed-secrets-plugin/blob/bdf19cd3bf5a2d679b7ba949108fe9df1843c5f4/headlamp-sealed-secrets/src/lib/validators.ts#L17)

Runtime type guard for SealedSecret

## Parameters

### obj

`any`

Object to check

## Returns

`obj is SealedSecret`

true if obj is a SealedSecret instance
